from arguments import get_args
from generate import generate_eval_data
from flux import Flux
import jax


def main():
    args = get_args()
    
    generate_eval_data(
        args,
        args.eval_dir,
        args.num_eval,
        args.evaluation_time,
        [[128], [128]],
        [Flux.ENERGYCONSERVATION, Flux.ENERGYCONSERVATION2],
        ["gs_ec", "gs_ec_reduced_damping"],
        args.random_seed,
    )
    
    

if __name__ == "__main__":
    main()
